package com.bonus.canteen.core.menu.dto;

import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotNull;

public class MenuRecipeV2EditDTO {
   @ApiModelProperty("菜谱id")
   private @NotNull(
   message = "{menu_recipe_id_null}"
) Long recipeId;
   @ApiModelProperty("菜谱名称")
   private String recipeName;
   @ApiModelProperty("适用人员范围")
   private Long effId;

   public Long getRecipeId() {
      return this.recipeId;
   }

   public String getRecipeName() {
      return this.recipeName;
   }

   public Long getEffId() {
      return this.effId;
   }

   public void setRecipeId(final Long recipeId) {
      this.recipeId = recipeId;
   }

   public void setRecipeName(final String recipeName) {
      this.recipeName = recipeName;
   }

   public void setEffId(final Long effId) {
      this.effId = effId;
   }
}
